use crate::{
    app::SharedApp,
    services::{
        archive::extensions::ArchiveExt, domain_events::extensions::DomainEventsExt,
        file_reader::extensions::FileReaderExt, file_store::extensions::FileStoreExt,
    },
};

use super::ReleaseManager;

pub trait ReleaseManagerExt {
    fn release_manager(&self) -> ReleaseManager;
}

impl ReleaseManagerExt for SharedApp {
    fn release_manager(&self) -> ReleaseManager {
        ReleaseManager::new(
            self.file_reader(),
            self.file_store(),
            self.archive(),
            self.domain_events(),
        )
    }
}
